<?php

 ###########################################################################
 #   OsCommerce WAP 1.1                                                    #
 #   This file is part of the wap tweak for OsCommerce (c) copyright 2004  #
 #   by Tom Nitzschner (tom@toms-home.com)                                 #
 #   http://www.toms-home.com                                              #
 #                                                                         #
 #   As always, make a backup before messing with anything. All code       #
 #   release by me is considered sample code only. It may be fully         #
 #   functual, but you use it at your own risk, if you break it,           #
 #   you get to fix it too. No waranty is given or implied.                #
 #                                                                         #
 #   All my work is released under the GNU GENERAL PUBLIC LICENSE.         #
 #   Please see the README for more information.                           #
 ###########################################################################

header( 'content-Type: text/vnd.wap.wml');

// Print the file text header
echo '<?xml version="1.0" ?><!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN" "http://www.wapforum.org/DTD/wml_1.1.xml">';
#
# Show the search box and pass the query off to wapresult.php.
#
echo " \n";
echo "<wml>\n";
echo "<card id=\"form\" title=\"Enter Product Name\"><p>";
echo "<do type=\"accept\" label=\"go\"><go href=\"wapresult.php?word=$(word)\"/></do>\n";
echo "<input format=\"text\" name=\"word\" title=\"word\" value=\"\"/>";
echo "</p></card>\n";
echo "</wml>";
exit;
?>
